Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.19 veröffentlicht (11.09.18)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Installation MBB 1.2.10
#1
Hallo,

um eine Datenbank aus der myBB-Version 1.2.10 zu aktualisieren habe ich mir die Version von myBB V 1.2.10 herunter geladen und auf den Webspace hoch geladen.

Frage vorab: Kann man danach direkt nach mybb_V 1.8.14 upgraden oder muss man alle Versionen Step by Step durchmachen damit die Datenbank bis zur aktuellen Version angepasst wird?.

Bei der Installation wird die Datenbank (ist noch leer) abgefragt und es wurde sofort die Fehlermeldung "/inc/class_core.php" Zeile 148 gemeldet. Durch Suche im Forum bekam ich den Hinweis die Zeile 148 mit einem "@" vorneweg zu versehen, was ich auch tat.

Nun wird die Verbindung zur Datenbank bestätigt und mit dem Erstellen derTabellen begonnen ...aber dabi bleibt es auch. Die Installation steht bei der Meldung "The MyBB database tables will now be created. Creating table mybb_adminlog..." fest und geht nicht weiter.

Was ist zu tun? Die Datenbanksicherung bereits vorab einspielen?

Wie bekommt man sonst eine Datenbank aus der myBB-Version 1.2.10 ohne Verluste auf die aktuelle myBB-Version 1.8.14 aktualisiert? Genügt das Upgrade von 1.8.14?

Vorab Danke für eine Hilfestellung
Wer fragt, ist gegebenenfalls für fünf Minuten ein Narr. Wer nicht fragt, bleibt ein Narr.
Forum-1 | Forum-2 | Forum-3
Versionen: (PHP: 5.6.32 | MyBB: 1.8.15)


Zitieren
#2
1.2* ist schon sehr alt, da wusste ich noch nicht einmal das es MyBB gibt.

Folgendes würde ich tun (ohne Gewähr):

Dein altes 1.2* MyBB auf den Server schmeißen, dann die aktuelle Version laden und auf den Server hochladen. Alte Dateien somit ersetzen mit den aktuellen. Dann die Upgraderoutine aufrufen und die alte Version (1.2.10) als Ausgangspunkt wählen (vorausgesetzt es wird erkannt).
Mit freundlichen Grüßen

MrBrechreiz
Zitieren
#3
MyBB 1.2.10 ist schon über 10 Jahre alt und daher nicht mit aktuellen PHP- und MySQL-Versionen lauffähig.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#4
Du willst altes MyBB auch gar nicht installieren, sondern das neue (ggf. mit anderem Datenbank-Prefix und dann in der so erzeugten config.php das prefix aufs alte ändern). Und dann schauen, ob der install/upgrade Parcours durchläuft.

Zum Upgrade brauchst du ein eingespieltes Backup der alten Datenbank, sowie die alten Uploads Attachments Avatare (und vielleicht sonstige Bilddateien, Logos). Theme wirst du wahrscheinlich von Grund auf neu aufbauen müssen, ziemlich fast komplett anders in 1.8 (und wird wohl nochmal wieder anders in 1.9).
Zitieren
#5
(18.02.2018, 11:21)frostschutz schrieb: Du willst altes MyBB auch gar nicht installieren, sondern das neue (ggf. mit anderem Datenbank-Prefix und dann in der so erzeugten config.php das prefix aufs alte ändern). Und dann schauen, ob der install/upgrade Parcours durchläuft.
Präfiz bleibt, Parcours liefen durch
(18.02.2018, 11:21)frostschutz schrieb: Zum Upgrade brauchst du ein eingespieltes Backup der alten Datenbank, sowie die alten Uploads Attachments Avatare (und vielleicht sonstige Bilddateien, Logos). Theme wirst du wahrscheinlich von Grund auf neu aufbauen müssen, ziemlich fast komplett anders in 1.8 (und wird wohl nochmal wieder anders in 1.9).
Genau da scheint das Problem zu sein.

Die Attachments, Avatare etc stehen ja nicht zur Verfügung, nur die reine Datenbank. Aus der Datenbank soll wieder ein Forum entstehen. Der Upgradevorgang V1.8.14 lief durch, ein neues Template wurde definiert. Aber irgendwie stellt sich da einiges quer. Vllt. muss man in der Datenbank Zuordnungen (welche?) zu den Attachmenst etc, einfach leeren.
Wer fragt, ist gegebenenfalls für fünf Minuten ein Narr. Wer nicht fragt, bleibt ein Narr.
Forum-1 | Forum-2 | Forum-3
Versionen: (PHP: 5.6.32 | MyBB: 1.8.15)


Zitieren
#6
existieren die Avatare, Attachments etc. denn in den entsprechenden FTP-Verzeichnissen?

Was heißt "stehen nicht zur Verfügung"?
schönen Gruß
bv64 / Lu

kein Support per PN, Mail, Messenger etc.
Leben ist lernen! Adminsein ist lernen! => Adminsein ist Leben!
Aber nicht überall, wo Admin dran steht, ist auch Admin drin!

Zitieren
#7
(18.02.2018, 13:27)bv64 schrieb: existieren die Avatare, Attachments etc. denn in den entsprechenden FTP-Verzeichnissen?

Was heißt "stehen nicht zur Verfügung"?
Wie ich bereits schrieb, keine Avatare, Attachments etc.
Das Forum wurde vor Monaten vom Ursprungsbetreiber geschlossen und gelöscht. Es existiert nur noch die Datenbank des Ursprungsforums, welche zur Verfügung gestellt wurde. Aus der Datenbank soll wieder ein Forum erwachen
Wer fragt, ist gegebenenfalls für fünf Minuten ein Narr. Wer nicht fragt, bleibt ein Narr.
Forum-1 | Forum-2 | Forum-3
Versionen: (PHP: 5.6.32 | MyBB: 1.8.15)


Zitieren
#8
ah so, FTP-mäßig habt ihr nichts bekommen, ok, damit wäre das geklärt
schönen Gruß
bv64 / Lu

kein Support per PN, Mail, Messenger etc.
Leben ist lernen! Adminsein ist lernen! => Adminsein ist Leben!
Aber nicht überall, wo Admin dran steht, ist auch Admin drin!

Zitieren
#9
(18.02.2018, 16:13)bv64 schrieb: ah so, FTP-mäßig habt ihr nichts bekommen, ok, damit wäre das geklärt
Yep, nun noch die "korrekte" Aktualisierung der Datenbank bzw. Beseitigen der Probleme.
Wer fragt, ist gegebenenfalls für fünf Minuten ein Narr. Wer nicht fragt, bleibt ein Narr.
Forum-1 | Forum-2 | Forum-3
Versionen: (PHP: 5.6.32 | MyBB: 1.8.15)


Zitieren